<?php // Do not delete these lines
try{
	global $wp;
	$current_slug = add_query_arg( array(), $wp->request );
}
catch(\Error $ex){
	die ('Please do not load this page directly. Thanks!');
}


	if (!empty($post->post_password)) { // if there's a password
		if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
			?>

			<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments', 'stocky') ?>.</p>

			<?php
			return;
		}
	}
?>

<?php if ( have_comments() ) : //if comments open and there are comments to show, display this ?>

	<?php if ( ! empty($comments_by_type['comment']) ) : ?>

		<?php if ('download' == get_post_type() ) { ?>
		<div id="stocky_reviews">
		<?php } ?>
		<div class="box_title comments_title">
			<h3 id="comments">
				<?php comments_number();?>
			</h3>
		</div>
		<div id="comments_wrap">
			<ul class="commentlist"><!-- display comments -->
				<?php wp_list_comments('callback=custom_comment&type=comment'); //'custom_comment' are edited in [functions.php] ?>
			</ul>
		</div>
		<?php if ('download' == get_post_type() ) { ?>
		</div>
		<?php } ?>

        <div class="navigation comment-nav">
	        <div class="nav-prev"><?php previous_comments_link() ?></div>
    	    <div class="nav-next"><?php next_comments_link() ?></div>
    	    <div class="clear"></div>
        </div>

	<?php endif; ?>

	<?php if ( ! empty($comments_by_type['pings']) ) : ?>
		<h3 id="pings"><?php _e('Trackbacks', 'stocky') ?></h3>
		<div id="comments_wrap">
			<ul class="pinglist"><!-- display trackbacks -->
				<?php wp_list_comments('callback=custom_pings&type=pings'); ?>
			</ul>
		</div>

		<div class="navigation comment-nav">
			<div class="nav-prev"><?php previous_comments_link() ?></div>
			<div class="nav-next"><?php next_comments_link() ?></div>
			<div class="clear"></div>
		</div>

	<?php endif; ?>

<?php else : ?>

	<?php if ('open' == $post->comment_status) :
		// Display something if there are no comments yet?
	else : ?>

		<?php if ('download' != get_post_type() ) { ?>
		<h5 id="comments_closed"><?php _e("Comments are closed.", "stocky"); ?></h5>
		<?php } ?>

	<?php endif; ?>

<?php endif; ?>

<?php comment_form(); ?>