
<?php if ( function_exists( 'has_post_thumbnail' ) && has_post_thumbnail( get_the_ID() ) ) : ?>
	<div class="edd_download_image">
		<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
			<?php echo get_the_post_thumbnail( get_the_ID(), 'product_main' ); ?>
		</a>
		<div class="stocky_hover_details <?php dcs_edd_wishlist_class(); ?>">

			<div class="stocky_hover_lines">

				<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="dcs_view_details"><?php _e('Details','stocky'); ?></a>
				<div id="wishlist_and_add_to_cart_code">
					<?php
						$button_text = get_post_meta($post->ID, '_edd_purchase_text', true) ? get_post_meta($post->ID, '_edd_purchase_text', true) : __('Add To Cart', 'stocky');
						$style = get_post_meta($post->ID, '_edd_purchase_style', true) ? get_post_meta($post->ID, '_edd_purchase_style', true) : 'button';
						$color = get_post_meta($post->ID, '_edd_purchase_color', true);
						if($color) { $color = str_replace(' ', '_', $color); }
						?>

						<?php echo custom_edd_get_purchase_link( array( 'text' => $button_text ,'show_single_price' => true) ); ?>
				</div>
			</div>
		</div>
	</div>
<?php endif; ?>

<style type="text/css">
	#wishlist_and_add_to_cart_code{
		display: inline-block;
	    margin: auto;
	    text-align: center;
	    position: absolute;
	    bottom: 10px;
	    left: 26%;
	}
	#wishlist_and_add_to_cart_code .edd-wl-button{
		position: unset;
		margin: auto !important;
	}

	#wishlist_and_add_to_cart_code .edd-submit{
		width: auto;
		font-size: 13px !important;
		padding : 2px;
		background-color: transparent !important;
   		border: 0;
   		color: #B1B1B1 !important;
	}

#wishlist_and_add_to_cart_code .edd-submit  :hover{
   		color: #53514F !important;
}

#wishlist_and_add_to_cart_code  .edd_go_to_checkout  :hover{
   		color: red !important;
}


</style>


