<?php

if (function_exists('fes_get_vendor')):
	$author = fes_get_vendor();

	if (!empty($author)):
		?>

		<div id="sidebar" class="stocky_vendor_sidebar">

			<div class="stocky_vendor test">
				<?php echo get_avatar( get_the_author_meta( 'ID' ), 120 ); ?>
				<span class="vendor_name"><?php echo esc_attr( $author->display_name ); ?></span>
				<span class="vendor_since"><?php printf( __( 'Member Since: %s', 'stocky' ), date_i18n( 'Y', strtotime( $author->user_registered ) ) ); ?></span>

			</div>

			<?php if ( '' != $author->description ) : ?>

			<div class="stocky_vendor_bio">

				<div class="box_title">
					<h3><?php _e('About Me', 'stocky') ?></h3>
				</div>

				<span><?php echo esc_attr( $author->description ); ?></span>

			</div>

			<?php endif; ?>

			<?php if ( get_current_user_id() != $author->ID ) : // if user is not on their own profile ?>

			<div class="stocky_vendor_contact">

				<div class="box_title">
					<h3><?php _e( 'Contact', 'stocky'); ?></h3>
				</div>

				<?php echo do_shortcode( '[fes_vendor_contact_form id="' . $author->ID . '"]' ); ?>

			</div>

			<?php endif; ?>

		</div>
		<?php 
	endif;
endif;