<?php
require_once("../../../../wp-load.php");

$my_options= get_option('theme_mods_stocky');

// basic settings
$my_options['retina'] = of_get_option( 'retina_logo' );
$my_options['logo'] = of_get_option( 'logo' );
$my_options['favicon'] = of_get_option( 'favicon' );
$my_options['layout'] = of_get_option( 'site_layout' );
$my_options['give_credit'] = of_get_option( 'give_credit' );
$my_options['expanded_menu'] = of_get_option( 'expanded_menu' );

// Home page settings
$my_options['header_background'] = of_get_option( 'header_image' );
$my_options['header_text_color'] = of_get_option( 'header_text_color' );
$my_options['action_text'] = of_get_option( 'cta_content' );
$my_options['call_to_action_background'] = of_get_option( 'cta_image' );
$my_options['number_of_products_on_home_page'] = of_get_option( 'home_products_total' );
// $my_options['home_download_categories'] = of_get_option( 'home_download_categories' );

// Store settings
$my_options['login_link'] = of_get_option( 'member_login' );
$my_options['number_of_products_per_page'] = of_get_option( 'products_total' );
$my_options['display_exif'] = of_get_option( 'display_exif' );


// Style settings
$my_options['menu_scheme'] = of_get_option( 'menu_scheme' );
$my_options['author_box'] = of_get_option( 'author_box' );
$my_options['link_color'] = of_get_option( 'link_color' );
$my_options['link_hover_color'] = of_get_option( 'link_color_hover' );
$my_options['button_color'] = of_get_option( 'button_color' );
$my_options['button_text_color'] = of_get_option( 'button_text' );


// Contact settings
$my_options['address'] = of_get_option( 'address' );
$my_options['phone'] = of_get_option( 'phone' );

// Social network settings
$my_options['facebook'] = of_get_option( 'facebook' );
$my_options['twitter'] = of_get_option( 'twitter' );
$my_options['google'] = of_get_option( 'google' );
$my_options['flickr'] = of_get_option( 'flickr' );
$my_options['tumblr'] = of_get_option( 'tumblr' );
$my_options['vimeo'] = of_get_option( 'vimeo' );
$my_options['youtube'] = of_get_option( 'youtube' );
$my_options['pinterest'] = of_get_option( 'pinterest' );
$my_options['linkedin'] = of_get_option( 'linkedin' );
$my_options['instagram'] = of_get_option( 'instagram' );


update_option('theme_mods_stocky', $my_options);

$url = site_url();
header ("location:".$url."/wp-admin/customize.php");
?>
